Bug 820831 - SETLK_VERSION sending incomplete process-uuid
SETLK_VERSION sending incomplete process-uuid
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Junaid
Sachidananda Urs
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-11 02:23 EDT by Junaid
Modified: 2013-08-06 18:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:41:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Junaid 2012-05-11 02:23:08 EDT
Description of problem:
As part of setting the process-uuid and version number in SETLK_VER method on a 
handshake, the client protocol is sending incomplete process-uuid.

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-05-18 03:50:41 EDT
CHANGE: http://review.gluster.com/3314 (protocol/client: Concatinate the graph uuid along with process uuid in setlk_version.) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.